@import 'vars';
@import 'mixins';
@import 'typo';

// instantiate colors
@each $c in get-colors() {
    // ready to pick from templates
    .color-#{$c} { color: get-color($c); }
    .background-#{$c} { background-color: get-color($c); }
}


body {
    @include font;
}

.hidden {
    display: none;
}

em {
    font-style: italic;
}

strong {
    font-weight: bold;
}

a {
    @extend %color-link;
    text-decoration: none;

    .button {
        @include font(mono-bold, large);
    }
}

.tool-link {
    @extend %background-light-grey;
    display: inline-block;
    margin: 0 6px;
    padding: 6px;

    &.hidden {
        display: none;
    }
}

header {
    background-color: get-color(white);
    border-bottom: 1px solid get-color(black);
    a {
        @include font(body-bold, small);

        color: get-color(black, lighten, 10);
        text-decoration: none;
        font-style: normal;
    }
}


.content {
    background-color: white;

    h1 {
        margin: 0 0 0.5em -0.0em;
        @include font(title, very-large);
        line-height: 88%;
    }

    h2 {
        margin: 0 0 0.5em -0.0em;
        @include font(title, large);
        line-height: 88%;
    }

    .body-section {
        margin: 32px;
    }

    .content-image {
        width: 100%;
    }

    .link-block {
        .link-head {
            margin-bottom: 2em;
        }

        .note {
            @media (min-width: 800px) {
                max-height: 16em;
            }
            border-top: .5px solid;
            margin-bottom: 1em;
            overflow-y: hidden;

            &.document {
                @include font(body, tiny);

                h3 {
                    @include font(title, normal);
                    text-align: left;
                }

                &:hover {
                    overflow: auto;
                }
            }
        }
    }

    .form-help {
        margin: 16px;
font-size: 16pt;
    }

    .map {
        background-color: #FDF1BD;
    }

    .query-map {
        @extend %background-light-yellow;
        // @include span(6);
        margin: 16px 16px;
    }
}

.form-plot {
    h1 {
        margin-left: 32px;
    }
    section {
        @include container;
        .query-map {
            @media (min-width: 800px) {
                height: 500px;
                @include span(6);
            }
        }
    }

}

.form-doc {
    fieldset {
        margin: 32px;
        textarea {
            height: 16em;
        }
    }
}

.button-box {
    text-align: right;
    margin-right: 32px;
}

.button {
    @include font(mono-bold);
    @extend %color-link;
    cursor: pointer;

}

.linker {
    .thumbnail-resource {
        margin-bottom: 2em;
    }

    .button-linker {
        @include font(mono-bold);
        cursor: pointer;
        &.link {
            color: #59CC49;
        }
        &.unlink {
            color: #FFA12D;
        }
    }
}



.plot {
    .plot-head {
        @include container;
        margin-bottom: 1em;
        padding-bottom: 1em;
        border-bottom: 1px solid #eee;
        .plot-map {
            @media (min-width: 800px) {
                @include span(6);
            }
            @media (max-width: 800px) {
                @include container;
            }
            @extend %background-light-yellow;
        }
        .plot-meta {
            @media (min-width: 800px) {
                @include span(6);
            }
            @media (max-width: 800px) {
                @include container;
                padding: 0 16px;
            }
        }
    }

    .plot-body {
        @include container;
        .elements {
            @media (min-width: 800px) {
                @include span(6);
            }
            @media (max-width: 800px) {
                @include container;
            }
            .plot-element {
                position: relative;
                text-align: center;
                @media (min-width: 800px) {
                    margin: 32px;
                    padding: .5em;
                }
                @media (max-width: 800px) {
                    margin: 16px 0;
                    padding: 16px;
                }

                h3 {
                    @include font(mono-bold);
                }
                .date {
                    @include font(body-em, tiny);
                }
                .options {
                    margin-top: .5em;
                    span {
                        line-height: 150%;
                        margin: 2em;
                        &.selected {
                            font-weight: bold;
                        }
                    }

                }

                &.open {
                    span {
                        cursor: pointer;
                        border-bottom: 1px solid;
                        &:hover {
                            @extend %color-link;
                        }
                    }
                }

                &.close {
                    @extend %background-light-yellow;
                    .reset {
                        @include font(mono-bold);
                        position: absolute;
                        border: 1px solid white;
                        background-color: #FF5722;
                        padding: 6px;
                        color: white;
                        right: 10px;

                        &:hover {
                            background-color: #af2d05;
                        }

                        span {
                            cursor: default;
                        }
                    }
                    h3 {
                        @include font(mono);
                    }
                    .options {
                        span {
                            display: none;

                            &.selected {
                                display: inline;
                                font-size: 120%;
                            }
                        }
                    }
                }
            }

        }
        .links {
            @media (min-width: 800px) {
                @include span(6);
            }
            @media (max-width: 800px) {
                @include container;
            }
            .thumbnail-resource {
                @include container;
                float: none;
                width: auto;
                height: auto;
                overflow: hidden;
            }
        }
    }
}


$debug-browser-support: true;
.drawer {

    @include container;
    @extend %background-white;
    opacity: 1;
    transform: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    overflow: hidden;
    transition-duration: 1s;

    &.hidden {
        display: block;
        // opacity: 1;
        transform: translateX(-100%);
        transition-property: transform;
        transition-duration: 0.8s;
    }

    $cb-height: 3em;
    $dv-padding: 1em;

    .drawer-view {
        @include container;
        height: calc(100% - (#{$cb-height} + #{$dv-padding}));
        overflow-y: auto;
        padding: $dv-padding;

        .form-wrapper {
            height: 100%;

            form {
                input {
                    width: 100%;
                    &.large {
                        font-size: 200%;
                    }
                }

                textarea {
                    width: 100%;
                    height: 80%;

                    &.half-size {
                        height: 12em;
                    }
                }
            }
        }

        .command-block {
            @extend %background-white;
            position: fixed;
            left: 0;
            bottom: 0;
            right: 0;
            height: $cb-height;
            @include with-layout(rtl) {
                .command {
                    @include span(2);
                    @include font(mono, large);
                    @include button-transition;

                    text-align: center;
                    cursor: pointer;
                    color: get-color(white);
                    padding: 0.25em;
                }
            }
        }
    }

}


.tool-box {
    .button-wrapper {
        padding: 0.5em;
        text-align: center;
        @include button-transition;

        .button {
            @include font(mono, large);
            cursor: pointer;
            color: #fff;
        }
    }
}

.username-big {
    @include span(12);
    @include font(title, very-large);
    margin-bottom: 1em;
}

.resources,
.link-block {

    .thumbnail-resource {
        @include thumbnail-transition(imperceptible-grey);

        .thumbnail-title {
            @include font(title, medium);
            margin-bottom: .6em;
        }

        .thumbnail-content {
            @include font(body, small);

            &.code-block {
                code.code {
                    @include font(mono-bold);
                }
            }
        }

        &.thumbnail-media {
            .thumbnail-title {
                position: absolute;
                left: inherit;
                padding: .5em .2em;
                background-color: white;
            }
            text-align: center;
            img {
                width: 100%;
                vertical-align: middle;
            }
        }

    }

    @media (max-width: 800px) {
        .thumbnail-resource {
            padding: 2px;
            border: 1px solid get-color(light-grey);
        }
    }
}

.linker-form {
    float: right;

    .link-link, .link-unlink {
        @extend %color-white;
        @include font(mono-bold);
        @include button-transition;

        cursor: pointer;
        border: none;
    }

    .link-link {
        @extend %background-ok;
    }

    .link-unlink {
        @extend %background-cancel;
    }
}


.plot-info {
    h2 {
        // margin-top: .5em;
        margin-bottom: 0.3em;
        text-transform: lowercase;
    }
}
